@echo off

REM Wichtiger Hinweis:
REM Dieses Script kann frei genutzt werden (privat wie auch kommerziell).
REM Jedoch wird keine Garantie auf Fehlerfreiheit, Vollstndigkeit sowie Funktionalitt gegeben.
REM Die Nutzung dieses Scriptes geschieht auf eigene Gefahr / eigenes Risiko.
REM Fr Datenverlust .. wird keine Haftung bernommen.

REM ############################################
REM         Konfiguration / Variablen
REM ############################################

set xHOST=SERVERNAME
set xUSER=root
set xPASSWD=He7s12vp

set xFILES2BACKUP=/pfad/unter/linux/*
set xBACKUP=D:\Backup\backup01
set xBACKUPOLD=D:\Backup\backup01_old
set xLogfile=D:\Backup\pscp.log
set PSCP=D:\PortableApps\putty\pscp.exe
rem Soll ein lteres Backup behalten werden (YES/NO) ?
set xBEHALTEBACKUP=YES

REM Headinfos
echo ########################################################	 >%xLOGFILE%
echo.															>>%xLOGFILE%
echo Datum   : %date%											>>%xLOGFILE%
echo Uhrzeit : %time%											>>%xLOGFILE%
echo.															>>%xLOGFILE%


REM ############################################
REM            Vorabpruefungen
REM ############################################

REM Soll ein lteres Backup behalten werden!
IF %xBEHALTEBACKUP%==YES (
   echo.														>>%xLOGFILE%
   echo Option "behalte vorheriges Backup" aktiv!				>>%xLOGFILE%
   REM Prfe, ob altes Backup schon vorhanden ist. 
   REM Wenn ja -> lschen
   REM Wenn nein -> anlegen
	IF EXIST %xBACKUPOLD% (
	  echo  - Loesche zunaechst alten Backupstand.					>>%xLOGFILE%
	  del /Q /F /S %xBACKUPOLD%
	  REM warte kurz 5 Sekunden und lege ihn wieder an ...
	  timeout /t 5 /nobreak > NUL
	  mkdir %xBACKUPOLD%
	) ELSE (
	mkdir %xBACKUPOLD%
	)    
	REM Benenne nun das jetzige Backup nach _old um
	echo  - Verschiebe nun gestriges Backup nach _old				>>%xLOGFILE%
	move %xBACKUP%\*.* %xBACKUPOLD%
	timeout /t 5 /nobreak > NUL
)

REM Pruefe, ob Backupverzeichnis vorhanden ist!
IF NOT EXIST %xBACKUP% (
  mkdir %xBACKUP%
) ELSE (
  echo.															>>%xLOGFILE%
) 

REM Pruefe, ob Backupverzeichnis vorhanden ist!
IF NOT EXIST %xBACKUP% GOTO xERROR10

REM ############################################
REM            Hauptteil!
REM ############################################
echo.															>>%xLOGFILE%
echo Starte nun Kopiervorgang der Linux-Daten ...				>>%xLOGFILE%
echo.															>>%xLOGFILE%

REM Aufruf PSCP
%PSCP% -q -pw %xPASSWD% %xUSER%@%xHOST%:%xFILES2BACKUP% %xBACKUP% >>%xLOGFILE%

:BACKUPOK
echo.															>>%xLOGFILE%
echo Kopiervorgang abgeschlossen.								>>%xLOGFILE%
echo Datum   : %date%											>>%xLOGFILE%
echo Uhrzeit : %time%											>>%xLOGFILE%
echo.															>>%xLOGFILE%
echo ########################################################	>>%xLOGFILE%

GOTO END

REM ############################################
REM            Fehlercodes!
REM ############################################

:xERROR010
cls
echo.
echo.
echo Abbruch! Fehler 10
echo.
echo Leider konnte das Verzeichnis %xBACKUP% nicht erstellt werden!
echo.
echo Skript wurde beendet! 
echo.
GOTO END


:END